Subject: Re: bug#71264: 30.0.50; Dired deletion moves point under auto-revert

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Jun 2024 20:59:34 +0300

> Cc: [email-masked]
> Date: Sat, 01 Jun 2024 19:19:12 +0200
> From:  Manuel Giraud via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> It seems to me that the 'y-or-n-p' call gives the opportunity of a time
> window for the dired buffer to be reverted.

Yes, of course.  When Emacs waits for keyboard input, the
file-notification events are accepted and acted upon.

> But then, when this revert happen the file "foo" has already
> disappeared so it cannot be found and the point ends up at the BOB.

Can you explain why the disappearance of "foo" causes point to be
positioned at BOB?

> I don't know how to prevent this yet.

I'm not sure I understand why we need to prevent that.